.bogo-language-switcher {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 30px;
}
.bogo-language-switcher .current {
  padding: 1px 20px;
  color: white;
  background: #333;
}
.bogo-language-switcher li {
  margin-bottom: 15px;
}
.bogo-language-switcher li.ja {
  order: 1;
}
.bogo-language-switcher li.en-US {
  order: 2;
}
.bogo-language-switcher li.kr {
  order: 3;
}
.bogo-language-switcher li.cn {
  order: 4;
}
.bogo-language-switcher li.tw {
  order: 5;
}
.bogo-language-switcher li a {
  position: relative;
  padding-bottom: 1px;
}
.bogo-language-switcher li a::before {
  content: '';
  position: absolute;
  left: 0;
  display: block;
}
.bogo-language-switcher li a::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 1px;
  background-color: #333;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .5s;
}
.bogo-language-switcher li a:hover::after {
  transform-origin: left;
  transform: scaleX(1);
  transition: transform .5s;
}
